# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_qnamaker 0.18.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_qnamaker".freeze
  s.version = "0.18.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_qnamaker" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Cognitive Services QnAMaker Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/4.0".freeze, "lib/4.0/generated".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/alterations.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/endpoint_keys.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/endpoint_settings.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/knowledgebase.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/active_learning_settings_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/alterations_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/context_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/create_kb_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/create_kb_input_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/delete_kb_contents_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/endpoint_keys_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/endpoint_settings_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/endpoint_settings_dtoactive_learning.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/environment_type.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/error.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/error_code_type.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/error_response.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/error_response_error.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/file_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/inner_error_model.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/knowledgebase_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/knowledgebases_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/metadata_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/operation.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/operation_state_type.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/prompt_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/prompt_dtoqna.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/qn_adocuments_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/qn_adto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/qn_adtocontext.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/replace_kb_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_context_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_kb_contents_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_kb_operation_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_kb_operation_dtoadd.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_kb_operation_dtodelete.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_kb_operation_dtoupdate.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_metadata_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_qna_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_qna_dtocontext.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_qna_dtometadata.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_qna_dtoquestions.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/update_questions_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/models/word_alterations_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/module_definition.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/operations.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamaker/qnamaker_client.rb".freeze, "lib/azure_cognitiveservices_qnamaker.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/qnamaker_profile_module.rb".freeze, "lib/profiles/latest/qnamaker_latest_profile_client.rb".freeze, "lib/profiles/latest/qnamaker_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services QnAMaker.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
